### Hierarchy

- NavigatorID
- NavigatorOnLine
- NavigatorContentUtils
- NavigatorStorageUtils
- MSNavigatorDoNotTrack
- MSFileSaver
- NavigatorBeacon
- NavigatorConcurrentHardware
- NavigatorUserMedia
- NavigatorLanguage
- NavigatorStorage
- NavigatorAutomationInformation
  - Navigator

## Index

### Properties

- activeVRDisplays
- appCodeName
- appName
- appVersion
- authentication
- cookieEnabled
- doNotTrack
- gamepadInputEmulation
- geolocation
- hardwareConcurrency
- language
- languages
- maxTouchPoints
- mediaDevices
- mimeTypes
- msManipulationViewsEnabled
- msMaxTouchPoints
- msPointerEnabled
- onLine
- platform
- plugins
- pointerEnabled
- product
- productSub
- serviceWorker
- storage
- userAgent
- vendor
- vendorSub
- webdriver

### Methods

- confirmSiteSpecificTrackingException
- confirmWebWideTrackingException
- getDisplayMedia
- getGamepads
- getUserMedia
- getVRDisplays
- javaEnabled
- msLaunchUri
- msSaveBlob
- msSaveOrOpenBlob
- removeSiteSpecificTrackingException
- removeWebWideTrackingException
- requestMediaKeySystemAccess
- sendBeacon
- storeSiteSpecificTrackingException
- storeWebWideTrackingException
- vibrate

## Properties

### activeVRDisplays

activeVRDisplays: ReadonlyArray<VRDisplay>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10304

### appCodeName

appCodeName: string

Inherited from NavigatorID.appCodeName

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10348

### appName

appName: string

Inherited from NavigatorID.appName

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10349

### appVersion

appVersion: string

Inherited from NavigatorID.appVersion

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10350

### authentication

authentication: WebAuthentication

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10305

### cookieEnabled

cookieEnabled: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10306

### doNotTrack

doNotTrack: string | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10307

### gamepadInputEmulation

gamepadInputEmulation: GamepadInputEmulationType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10308

### geolocation

geolocation: Geolocation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10309

### hardwareConcurrency

hardwareConcurrency: number

Inherited from NavigatorConcurrentHardware.hardwareConcurrency

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10341

### language

language: string

Inherited from NavigatorLanguage.language

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10360

### languages

languages: ReadonlyArray<string>

Inherited from NavigatorLanguage.languages

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10361

### maxTouchPoints

maxTouchPoints: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10310

### mediaDevices

mediaDevices: MediaDevices

Inherited from NavigatorUserMedia.mediaDevices

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10376

### mimeTypes

mimeTypes: MimeTypeArray

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10311

### msManipulationViewsEnabled

msManipulationViewsEnabled: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10312

### msMaxTouchPoints

msMaxTouchPoints: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10313

### msPointerEnabled

msPointerEnabled: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10314

### onLine

onLine: boolean

Inherited from NavigatorOnLine.onLine

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10365

### platform

platform: string

Inherited from NavigatorID.platform

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10351

### plugins

plugins: PluginArray

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10315

### pointerEnabled

pointerEnabled: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10316

### product

product: string

Inherited from NavigatorID.product

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10352

### productSub

productSub: string

Inherited from NavigatorID.productSub

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10353

### serviceWorker

serviceWorker: ServiceWorkerContainer

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10317

### storage

storage: StorageManager

Inherited from NavigatorStorage.storage

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10369

### userAgent

userAgent: string

Inherited from NavigatorID.userAgent

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10354

### vendor

vendor: string

Inherited from NavigatorID.vendor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10355

### vendorSub

vendorSub: string

Inherited from NavigatorID.vendorSub

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10356

### webdriver

webdriver: boolean

Overrides NavigatorAutomationInformation.webdriver

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10318

## Methods

### confirmSiteSpecificTrackingException

- confirmSiteSpecificTrackingException(args: ConfirmSiteSpecificExceptionsInformation): boolean

- Inherited from MSNavigatorDoNotTrack.confirmSiteSpecificTrackingException

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9649

  #### Parameters

  - ##### args: ConfirmSiteSpecificExceptionsInformation

  #### Returns boolean

### confirmWebWideTrackingException

- confirmWebWideTrackingException(args: ExceptionInformation): boolean

- Inherited from MSNavigatorDoNotTrack.confirmWebWideTrackingException

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9650

  #### Parameters

  - ##### args: ExceptionInformation

  #### Returns boolean

### getDisplayMedia

- getDisplayMedia(constraints: MediaStreamConstraints): Promise<MediaStream>

- Inherited from NavigatorUserMedia.getDisplayMedia

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10377

  #### Parameters

  - ##### constraints: MediaStreamConstraints

  #### Returns Promise<MediaStream>

### getGamepads

- getGamepads(): (null | Gamepad)[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10319

  #### Returns (null | Gamepad)[]

### getUserMedia

- getUserMedia(constraints: MediaStreamConstraints, successCallback: NavigatorUserMediaSuccessCallback, errorCallback: NavigatorUserMediaErrorCallback): void

- Inherited from NavigatorUserMedia.getUserMedia

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10378

  #### Parameters

  - ##### constraints: MediaStreamConstraints

  - ##### successCallback: NavigatorUserMediaSuccessCallback

  - ##### errorCallback: NavigatorUserMediaErrorCallback

  #### Returns void

### getVRDisplays

- getVRDisplays(): Promise<VRDisplay[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10320

  #### Returns Promise<VRDisplay[]>

### javaEnabled

- javaEnabled(): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10321

  #### Returns boolean

### msLaunchUri

- msLaunchUri(uri: string, successCallback?: MSLaunchUriCallback, noHandlerCallback?: MSLaunchUriCallback): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10322

  #### Parameters

  - ##### uri: string

  - ##### Optional successCallback: MSLaunchUriCallback

  - ##### Optional noHandlerCallback: MSLaunchUriCallback

  #### Returns void

### msSaveBlob

- msSaveBlob(blob: any, defaultName?: undefined | string): boolean

- Inherited from MSFileSaver.msSaveBlob

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9493

  #### Parameters

  - ##### blob: any

  - ##### Optional defaultName: undefined | string

  #### Returns boolean

### msSaveOrOpenBlob

- msSaveOrOpenBlob(blob: any, defaultName?: undefined | string): boolean

- Inherited from MSFileSaver.msSaveOrOpenBlob

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9494

  #### Parameters

  - ##### blob: any

  - ##### Optional defaultName: undefined | string

  #### Returns boolean

### removeSiteSpecificTrackingException

- removeSiteSpecificTrackingException(args: ExceptionInformation): void

- Inherited from MSNavigatorDoNotTrack.removeSiteSpecificTrackingException

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9651

  #### Parameters

  - ##### args: ExceptionInformation

  #### Returns void

### removeWebWideTrackingException

- removeWebWideTrackingException(args: ExceptionInformation): void

- Inherited from MSNavigatorDoNotTrack.removeWebWideTrackingException

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9652

  #### Parameters

  - ##### args: ExceptionInformation

  #### Returns void

### requestMediaKeySystemAccess

- requestMediaKeySystemAccess(keySystem: string, supportedConfigurations: MediaKeySystemConfiguration[]): Promise<MediaKeySystemAccess>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10323

  #### Parameters

  - ##### keySystem: string

  - ##### supportedConfigurations: MediaKeySystemConfiguration[]

  #### Returns Promise<MediaKeySystemAccess>

### sendBeacon

- sendBeacon(url: string, data?: Blob | Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer | FormData | string | null): boolean

- Inherited from NavigatorBeacon.sendBeacon

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10337

  #### Parameters

  - ##### url: string

  - ##### Optional data: Blob | Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer | FormData | string | null

  #### Returns boolean

### storeSiteSpecificTrackingException

- storeSiteSpecificTrackingException(args: StoreSiteSpecificExceptionsInformation): void

- Inherited from MSNavigatorDoNotTrack.storeSiteSpecificTrackingException

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9653

  #### Parameters

  - ##### args: StoreSiteSpecificExceptionsInformation

  #### Returns void

### storeWebWideTrackingException

- storeWebWideTrackingException(args: StoreExceptionsInformation): void

- Inherited from MSNavigatorDoNotTrack.storeWebWideTrackingException

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9654

  #### Parameters

  - ##### args: StoreExceptionsInformation

  #### Returns void

### vibrate

- vibrate(pattern: number | number[]): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10324

  #### Parameters

  - ##### pattern: number | number[]

  #### Returns boolean

Generated using TypeDoc